> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galileo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Signal

> Read one Signal with its impact history, remediations, and merge relationships.



## OpenAPI

````yaml https://api.galileo.ai/public/v2/openapi.json get /v2/projects/{project_id}/runs/{run_id}/signals/{signal_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.galileo.ai
    description: Galileo Public APIs - galileo-v2
security: []
paths:
  /v2/projects/{project_id}/runs/{run_id}/signals/{signal_id}:
    get:
      tags:
        - signals-v2
      summary: Get Signal
      description: >-
        Read one Signal with its impact history, remediations, and merge
        relationships.
      operationId: >-
        get_signal_v2_projects__project_id__runs__run_id__signals__signal_id__get
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
            format: uuid4
            title: Project Id
        - name: signal_id
          in: path
          required: true
          schema:
            type: string
            format: uuid4
            title: Signal Id
        - name: run_id
          in: path
          required: true
          schema:
            type: string
            format: uuid4
            title: Run Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SignalDetailResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - ClassicAPIKeyHeader: []
        - OAuth2PasswordBearer: []
        - HTTPBasic: []
components:
  schemas:
    SignalDetailResponse:
      properties:
        data:
          $ref: '#/components/schemas/SignalDetail'
      additionalProperties: false
      type: object
      required:
        - data
      title: SignalDetailResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SignalDetail:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
        display_key:
          type: string
          title: Display Key
        title:
          type: string
          title: Title
        description:
          type: string
          title: Description
        details:
          type: string
          title: Details
        grouping_rationale:
          type: string
          title: Grouping Rationale
        problem_type_id:
          type: string
          title: Problem Type Id
        labels:
          items:
            type: string
          type: array
          title: Labels
        component:
          $ref: '#/components/schemas/SignalComponent'
        severity:
          $ref: '#/components/schemas/SignalSeverity'
        status:
          $ref: '#/components/schemas/SignalStatus'
        notifications_muted:
          type: boolean
          title: Notifications Muted
        last_seen_at:
          type: string
          format: date-time
          title: Last Seen At
        occurrence_count:
          type: integer
          minimum: 0
          title: Occurrence Count
        latest_impact:
          anyOf:
            - $ref: '#/components/schemas/SignalImpact'
            - type: 'null'
        scan_history:
          items:
            $ref: '#/components/schemas/SignalScanHistoryEntry'
          type: array
          title: Scan History
        remediations:
          items:
            $ref: '#/components/schemas/SignalRemediationDetail'
          type: array
          title: Remediations
        merged_signals:
          items:
            $ref: '#/components/schemas/SignalReference'
          type: array
          title: Merged Signals
        merged_into:
          anyOf:
            - $ref: '#/components/schemas/SignalReference'
            - type: 'null'
      additionalProperties: false
      type: object
      required:
        - id
        - display_key
        - title
        - description
        - details
        - grouping_rationale
        - problem_type_id
        - labels
        - component
        - severity
        - status
        - notifications_muted
        - last_seen_at
        - occurrence_count
        - latest_impact
        - scan_history
        - remediations
        - merged_signals
        - merged_into
      title: SignalDetail
      description: Diagnosis, impact, history, and remediations for one Signal.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    SignalComponent:
      properties:
        type:
          $ref: '#/components/schemas/StepType'
        name:
          type: string
          title: Name
      additionalProperties: false
      type: object
      required:
        - type
        - name
      title: SignalComponent
      description: Agent component associated with a Signal or occurrence.
    SignalSeverity:
      properties:
        score:
          type: integer
          maximum: 100
          minimum: 0
          title: Score
        level:
          $ref: '#/components/schemas/SignalSeverityLevel'
        rationale:
          type: string
          title: Rationale
      additionalProperties: false
      type: object
      required:
        - score
        - level
        - rationale
      title: SignalSeverity
      description: Severity assigned when the Signal was generated.
    SignalStatus:
      type: string
      enum:
        - OPEN
        - RESOLVED
      title: SignalStatus
      description: Signal state selected by a user.
    SignalImpact:
      properties:
        affected_session_count:
          type: integer
          minimum: 0
          title: Affected Session Count
        analyzed_session_count:
          type: integer
          minimum: 0
          title: Analyzed Session Count
        exposed_session_count:
          type: integer
          minimum: 0
          title: Exposed Session Count
      additionalProperties: false
      type: object
      required:
        - affected_session_count
        - analyzed_session_count
        - exposed_session_count
      title: SignalImpact
      description: Session counts measured for one Signal in one scan.
    SignalScanHistoryEntry:
      properties:
        affected_session_count:
          type: integer
          minimum: 0
          title: Affected Session Count
        analyzed_session_count:
          type: integer
          minimum: 0
          title: Analyzed Session Count
        exposed_session_count:
          type: integer
          minimum: 0
          title: Exposed Session Count
        scan_id:
          type: string
          format: uuid4
          title: Scan Id
        scan_number:
          type: integer
          minimum: 1
          title: Scan Number
        completed_at:
          type: string
          format: date-time
          title: Completed At
      additionalProperties: false
      type: object
      required:
        - affected_session_count
        - analyzed_session_count
        - exposed_session_count
        - scan_id
        - scan_number
        - completed_at
      title: SignalScanHistoryEntry
      description: Impact recorded when a completed scan returned the Signal.
    SignalRemediationDetail:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
        generated_in_scan_id:
          type: string
          format: uuid4
          title: Generated In Scan Id
        rank:
          type: integer
          minimum: 1
          title: Rank
        type:
          type: string
          title: Type
        action:
          type: string
          title: Action
        validation:
          type: string
          title: Validation
        state:
          $ref: '#/components/schemas/SignalRemediationState'
        details:
          additionalProperties:
            $ref: '#/components/schemas/pydantic__types__JsonValue'
          type: object
          title: Details
        resources:
          items:
            $ref: '#/components/schemas/SignalRemediationResource'
          type: array
          title: Resources
        updated_at:
          type: string
          format: date-time
          title: Updated At
      additionalProperties: false
      type: object
      required:
        - id
        - generated_in_scan_id
        - rank
        - type
        - action
        - validation
        - state
        - details
        - resources
        - updated_at
      title: SignalRemediationDetail
      description: One proposed or applied remediation for a Signal.
    SignalReference:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
        display_key:
          type: string
          title: Display Key
        title:
          type: string
          title: Title
        last_seen_at:
          type: string
          format: date-time
          title: Last Seen At
      additionalProperties: false
      type: object
      required:
        - id
        - display_key
        - title
        - last_seen_at
      title: SignalReference
      description: Signal identity shown for a merge relationship.
    StepType:
      type: string
      enum:
        - http
        - llm
        - retriever
        - tool
        - workflow
        - agent
        - control
        - trace
        - session
      title: StepType
    SignalSeverityLevel:
      type: string
      enum:
        - LOW
        - MEDIUM
        - HIGH
      title: SignalSeverityLevel
      description: Severity level shown to users and used for notification selection.
    SignalRemediationState:
      type: string
      enum:
        - PROPOSED
        - IN_PROGRESS
        - APPLIED
        - VALIDATED
        - DISMISSED
        - FAILED
      title: SignalRemediationState
      description: Current state of a proposed remediation.
    pydantic__types__JsonValue: {}
    SignalRemediationResource:
      properties:
        type:
          type: string
          title: Type
        id:
          type: string
          title: Id
      additionalProperties: false
      type: object
      required:
        - type
        - id
      title: SignalRemediationResource
      description: Platform object created or updated by a remediation.
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Splunk-AO-API-Key
    ClassicAPIKeyHeader:
      type: apiKey
      in: header
      name: Galileo-API-Key
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: https://api.galileo.ai/login
    HTTPBasic:
      type: http
      scheme: basic

````